%define fw_version 5.24

Summary:	KDE Frameworks 5 advanced internationalization framework
Name:		ki18n
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
# Prefer locales from /usr/share/locale/kf5 if they exist
Patch0:		ki18n-5.18.0-localepath.patch
# Try translations from mandriva-kde-translation as fallback
Patch1:		ki18n-5.9.0-extra-catalog.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
Requires:	mandriva-kde-translation

%description
KDE Frameworks 5 advanced internationalization framework.

KI18n provides functionality for internationalizing user interface text
in applications, based on the GNU Gettext translation system.
It wraps the standard Gettext functionality, so that the programmers
and translators can use the familiar Gettext tools and workflows.

KI18n provides additional functionality as well, for both programmers
and translators, which can help to achieve a higher overall quality
of source and translated text. This includes argument capturing,
customizable markup, and translation scripting.

%files
%{_kde5_plugindir}/ktranscript.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KI18n translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KI18n translations.

%files i18n -f %{name}.lang
%lang(ca) %{_datadir}/locale/ca/LC_SCRIPTS
%lang(ca) %{_datadir}/locale/ca@valencia/LC_SCRIPTS
%lang(fi) %{_datadir}/locale/fi/LC_SCRIPTS
%lang(gd) %{_datadir}/locale/gd/LC_SCRIPTS
%lang(ko) %{_datadir}/locale/ko/LC_SCRIPTS
%lang(nb) %{_datadir}/locale/nb/LC_SCRIPTS
%lang(nn) %{_datadir}/locale/nn/LC_SCRIPTS
%lang(ru) %{_datadir}/locale/ru/LC_SCRIPTS
%lang(sr) %{_datadir}/locale/sr/LC_SCRIPTS
%lang(sr) %{_datadir}/locale/sr@ijekavian/LC_SCRIPTS
%lang(sr) %{_datadir}/locale/sr@ijekavianlatin/LC_SCRIPTS
%lang(sr) %{_datadir}/locale/sr@latin/LC_SCRIPTS
%lang(uk) %{_datadir}/locale/uk/LC_SCRIPTS
%lang(zh) %{_datadir}/locale/zh_CN/LC_SCRIPTS

#----------------------------------------------------------------------------

%define kf5i18n_major 5
%define libkf5i18n %mklibname kf5i18n %{kf5i18n_major}

%package -n %{libkf5i18n}
Summary:	KDE Frameworks 5 internationalization shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5i18n}
KDE Frameworks 5 internationalization shared library.

%files -n %{libkf5i18n}
%{_kde5_libdir}/libKF5I18n.so.%{kf5i18n_major}*

#----------------------------------------------------------------------------

%define devkf5i18n %mklibname kf5i18n -d

%package -n %{devkf5i18n}
Summary:	Development files for KDE Frameworks 5 internationalization framework
Group:		Development/KDE and Qt
Requires:	%{libkf5i18n} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5i18n-devel = %{version}

%description -n %{devkf5i18n}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5i18n}
%{_kde5_includedir}/KF5/KI18n
%{_kde5_includedir}/KF5/ki18n_version.h
%{_kde5_libdir}/cmake/KF5I18n
%{_kde5_libdir}/libKF5I18n.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (bc34967) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (df59913) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (35befba) MassBuild#1017: Increase release tag

* Mon Apr 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (7847ad4) Update files (add ca and ca@valencia LC_SCRIPTS)
- (Andrey Bondrov: 347ad73) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (35c17bd) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (60c0136) Update files (add nb and nn LC_SCRIPTS)
- (Andrey Bondrov: 372a184) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (b9ff1a3) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (72a1ff4) Update files (add zh_CN/LC_SCRIPTS to i18n package)
- (Andrey Bondrov: 3369028) Re-diff localepath patch
- (Andrey Bondrov: 2709abe) New version 5.18.0

* Fri Dec 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (7f60f9f) Build requires pkgconfig(Qt5Qml)
- (Andrey Bondrov: c84c42c) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (45dc164) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (2abed05) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (fd65adf) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (50e25f8) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (420f9dd) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (98dc073) Update files (add scripts for ko locale)
- (Andrey Bondrov: 09700e6) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (7cdb54f) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (f56f208) New version 5.10.0

* Mon Apr 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-3
- (bc99ae4) Requires mandriva-kde-translation

* Mon Apr 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (2d4e4dd) Try translations from mandriva-kde-translation as fallback

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (1756fd3) Update files
- (Andrey Bondrov: f46d291) Update files
- (Andrey Bondrov: 2a71874) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (4c70c16) Drop datapath patch, seems to be no longer needed
- (Andrey Bondrov: 45ec9db) New version 5.8.0


